## hmmer 2.1.2

=== debian/changelog ===
hmmer (2.1.2) unstable; urgency=low

  * New maintainer

 -- Matthew Vernon <matthew@debian.org>  Tue, 07 Dec 1999 16:30:35 +0000

hmmer (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 30 Mar 1999 16:50:05 -0700

hmmer (2.0-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu, 13 Aug 1998 21:48:53 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "matthew@debian.org"
End:
