=== debian/control ===
Source: hmmer
Section: math
Priority: extra
Maintainer: Matthew Vernon <matthew@debian.org>
Standards-Version: 2.3.0.1

Package: hmmer
Architecture: any
Depends:  ${shlibs:Depends}
Description: models protein or nucleic acid sequences.
 Hmmer is a suite of programs which use profile
 hidden Markov models (profile HMMs) to model
 the primary structure consensus of a family of
 protein or nucleic acid sequences. 
 Homepage:  http://hmmer.wustl.edu/
