## hmmer 2.1.4

=== debian/changelog ===
hmmer (2.1.4) unstable; urgency=low

  * Change section to science

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Apr 2001 02:51:17 +0100

hmmer (2.1.3) unstable; urgency=low

  * Move from /usr/man to /usr/share/man (closes: #91171)
  * Move from /usr/doc to /usr/share/doc (closes: #91494)

 -- Matthew Vernon <matthew@debian.org>  Mon, 09 Apr 2001 16:12:21 +0100
	
