=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hmmer
-Section: math
+Section: science
 Priority: extra
 Maintainer: Matthew Vernon <matthew@debian.org>
-Standards-Version: 2.3.0.1
+Standards-Version: 3.2.1.0
 
 Package: hmmer
 Architecture: any
