=== debian/rules ===
--- 
+++ 
@@ -37,36 +37,36 @@
 
 #  Install directories
 	install -d debian/tmp/usr/bin
-	install -d debian/tmp/usr/man/man1
-	install -d debian/tmp/usr/doc/$(package)
+	install -d debian/tmp/usr/share/man/man1
+	install -d debian/tmp/usr/share/doc/$(package)
 	install -d debian/tmp/usr/lib/$(package)
 	install -d debian/tmp/DEBIAN
 	export INSTDIR=`pwd`;    \
 	make  BINDIR=$(INSTDIR)/debian/tmp/usr/bin   \
-              MANDIR=$(INSTDIR)/debian/tmp/usr/man    install
+              MANDIR=$(INSTDIR)/debian/tmp/usr/share/man    install
 #
 
-	chmod 644 debian/tmp/usr/man/man1/*
-	gzip -9v debian/tmp/usr/man/man1/*
+	chmod 644 debian/tmp/usr/share/man/man1/*
+	gzip -9v debian/tmp/usr/share/man/man1/*
 	strip --strip-unneeded debian/tmp/usr/bin/*
 
 #
-	$(INSTALL) -m 644 INSTALL NOTES 00README  debian/tmp/usr/doc/$(package)/.
-	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/doc/$(package)
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	cd Userguide; tar -C ../debian/tmp/usr/doc/$(package) -xzf hmmer-html.tar.Z
-	install -m 644  Userguide/Userguide.ps debian/tmp/usr/doc/$(package)
-	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/*
-	chmod  755  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*
-	chmod  644  debian/tmp/usr/doc/$(package)/hmmer-html/l2h*/*
-	rm -rf debian/tmp/usr/doc/$(package)/hmmer-html/TMP
-	-gzip -9fv debian/tmp/usr/doc/$(package)/*
+	$(INSTALL) -m 644 INSTALL NOTES 00README  debian/tmp/usr/share/doc/$(package)/.
+	$(INSTALL) -m 644 debian/README.debian debian/tmp/usr/share/doc/$(package)
+	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cd Userguide; tar -C ../debian/tmp/usr/share/doc/$(package) -xzf hmmer-html.tar.Z
+	install -m 644  Userguide/Userguide.ps debian/tmp/usr/share/doc/$(package)
+	chmod  644  debian/tmp/usr/share/doc/$(package)/hmmer-html/*
+	chmod  755  debian/tmp/usr/share/doc/$(package)/hmmer-html/l2h*
+	chmod  644  debian/tmp/usr/share/doc/$(package)/hmmer-html/l2h*/*
+	rm -rf debian/tmp/usr/share/doc/$(package)/hmmer-html/TMP
+	-gzip -9fv debian/tmp/usr/share/doc/$(package)/*
 
 # don't gzip these
 #
-	cp debian/copyright debian/tmp/usr/doc/$(package)/copyright
-	cp -r Demos debian/tmp/usr/doc/$(package)
-	chmod 644 debian/tmp/usr/doc/$(package)/Demos/*
+	cp debian/copyright debian/tmp/usr/share/doc/$(package)/copyright
+	cp -r Demos debian/tmp/usr/share/doc/$(package)
+	chmod 644 debian/tmp/usr/share/doc/$(package)/Demos/*
 
 #
 	   dpkg-shlibdeps binaries/*
