## hmmer 3.0

=== debian/changelog ===
hmmer (3.0-4) unstable; urgency=low

  [ Charles Plessy ]
  * renamed debian/upstream-metadata.yaml to debian/upstream

  [ Andreas Tille ]
  * debian/upstream: Took over additional citation from tasks file
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Fixed Vcs fields
  * debhelper 8 (control + compat)
  * debian/docs: removed because empty
  * debian/copyright:
     - Rewritten to match DEP5 (verified using `cme fix dpkg-copyright`)
     - Added Files: easel:* section
  * debian/rules: Fixed clean target by cleaning up easel/testsuite dir

 -- Andreas Tille <tille@debian.org>  Tue, 03 Apr 2012 09:53:16 +0200

hmmer (3.0-3) unstable; urgency=low

  * Fix "FTBFS (powerpc): altivec and cast errors": remove special
    casing for powerpc, so that it gets built with the dummy vector
    implementation like most other architectures - contributed by
    Gregor Herrrmann (Closes: #594860).

 -- Steffen Moeller <moeller@debian.org>  Mon, 25 Oct 2010 00:08:19 +0200

hmmer (3.0-2) unstable; urgency=low

  * Install binaries to /usr/bin instead of /bin
  * Standards-Version: 3.9.1 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Aug 2010 07:53:17 +0200

hmmer (3.0-1) unstable; urgency=low

  * The 3.0 release should now substitute the outdated 2.3.x one.
  * The hmmer-pvm package is no longer available.

 -- Eric Talevich <etal@uga.edu>  Thu, 08 Jul 2010 14:17:59 -0400

hmmer (2.3.2-6) UNRELEASED; urgency=low

  * Enabled upstream checks in debian/rules.
  * Documented how the package is tested in debian/README.Debian
  * Switched Debhelper to mode 7 (debian/compat, debian/control).
  * Gathered some metadata about upstream in debian/upstream-metadata.yaml.
  * Checked conformance with Policy 3.8.3 and incremented Standards-Version
    in debian/control to reflect it.

 -- Charles Plessy <plessy@debian.org>  Wed, 16 Dec 2009 13:21:02 +0900

hmmer (2.3.2-5) unstable; urgency=low

  * Changed the doc-base section according to the new policy.
  * debian/control:
    - Added myself as Uploader.
    - Increased priority to `optional'
    - Standards-Version: 3.8.0 (no changes needed)

 -- Charles Plessy <plessy@debian.org>  Sun, 06 Jul 2008 23:49:23 +0900

hmmer (2.3.2-4) unstable; urgency=low

  * Moved Homepage tag from long description to tags
  * Removed XB-Tag because it is actually not used by debtags
  * Added myself as Uploader
  * Standards-Version: 3.7.3 (no changes needed)
  * Added Vcs-Browser, Vcs-Svn
  * DM-Upload-Allowed: yes

 -- Andreas Tille <tille@debian.org>  Tue, 26 Feb 2008 20:40:17 +0100

hmmer (2.3.2-3) unstable; urgency=low

  * Updated hmmer homepage (Closes: #435396). Thanks to Charles Plessy;
  * Updated watch file;
  * Moved Matthew Vernon to Uploaders and set Maintainer to Debian-Med
    Packaging Team <debian-med-packaging@lists.alioth.debian.org>;
  * Downgraded biosquid to recommends.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 31 Jul 2007 15:15:23 -0300

hmmer (2.3.2-2) unstable; urgency=medium

  * Changed my email address;
  * Changing priority to extra, instead optional (hmmer has a dependency on
    pvm and libpmv3 -- Policy 2.5);
  * Added tags on debian/control;
  * Medium urgency to get the package with the correct priority on Etch.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed,  6 Dec 2006 16:27:06 -0200

hmmer (2.3.2-1) unstable; urgency=low

  * New upstream version (Closes: #261293);
  * Documentation is split in a new package (Closes: #233374, #175481);
  * "getseq" is not shipped anymore with hmmer, since it was renamed to
    "sfetch" (Closes: #197658);
  * New package hmmer-pvm, with PVM enabled binaries;
  * The package is again non-Debian native;
  * Using CDBS;
  * Using debhelper compatibility level 5;
  * Updated Standards-Version to 3.7.2;
  * Added doc-base and watch file;
  * Updated copyright file;
  * Added me as co-maintainer.
    From Matthew Vernon:
    "If you're keen to take hmmer, take it; I'm writing up my thesis at the
    moment, so my time for Debian is somewhat limited; I took on hmmer
    because it was orphaned at the time, and I wanted it to stay in the
    distribution."

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Tue, 15 Aug 2006 17:30:32 -0300
