=== debian/control ===
Source: hmmer
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Section: science
Uploaders: Matthew Vernon <matthew@debian.org>,
 Nelson A. de Oliveira <naoliv@debian.org>,
 Andreas Tille <tille@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Eric Talevich <etal@uga.edu>
Build-Depends: cdbs, debhelper (>= 8), autotools-dev
Standards-Version: 3.9.3
Homepage: http://hmmer.janelia.org/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/hmmer/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/hmmer/trunk/

Package: hmmer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hmmer-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: hmmer (>= ${source:Version}), xpdf-reader | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains documents and example files for the hmmer package.
