=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

ARCH=`dpkg-architecture -qDEB_BUILD_ARCH_CPU`

ifeq ("amd64",$(ARCH))
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse --mandir=$(CURDIR)/debian/tmp/usr/share/man
else
ifeq ("powerpc",$(ARCH))
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-vmx --mandir=$(CURDIR)/debian/tmp/usr/share/man
else
DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --mandir=$(CURDIR)/debian/tmp/usr/share/man
endif
endif

#DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-mpi
DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/tmp/usr
DEB_MAKE_CHECK_TARGET = check

clean::
	rm -f testsuite/esltmp*
	rm -f easel/testsuite/esltmp*
