=== debian/watch ===
version=3
ftp://selab.janelia.org/pub/software/hmmer3/3.0/hmmer-([0-9\.]*)\.tar\.gz
