## hmmer 3.1b1

=== debian/changelog ===
hmmer (3.1b1-3) unstable; urgency=low

  * Apply patch from Adam Conrad <adconrad@debian.org> to build on
    powerpc (thanks to Adam for the patch)
    Closes: #728650
  * DEP3 patch headers
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2013 17:24:47 +0100

hmmer (3.1b1-2) unstable; urgency=low

  [ Charles Plessy ]
  * Removed myself from the Uploaders.

  [ Andreas Tille ]
  * debian/rules: Use --with autotools_dev
    Closes: #727386

 -- Andreas Tille <tille@debian.org>  Thu, 24 Oct 2013 08:37:52 +0200

hmmer (3.1b1-1) unstable; urgency=low

  * Upload changes from BioLinux to Debian
  * debian/control:
     - cme fix dpkg-control
     - provide real package (evince) for pdf-viewer
     - debhelper 9
     - anonscm for Vcs fields

 -- Andreas Tille <tille@debian.org>  Thu, 15 Aug 2013 20:20:03 +0200

hmmer (3.1b1-0biolinux1) precise; urgency=low

  * New upstream
  * Switch to DH in rules as CDBS does my nut in
  * Simplify hmmer.install and kill hmmer.manpages
  * Added binaries:
     alimask
     hmmc2
     hmmlogo
     hmmpgmd
     nhmmer
     nhmmscan
  * Modify watchfile to see new version
  * Avoid compressing all the tutorial data
  * make distclean was failing :- fixed with patch

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 15 Aug 2013 16:34:31 +0100
