## hmmer 3.1b2

=== debian/changelog ===
hmmer (3.1b2-2) unstable; urgency=medium

  * debian/control: Fix contact address
  * restrict architectures to Intel architectures
    Closes: #806675

 -- Andreas Tille <tille@debian.org>  Wed, 02 Dec 2015 08:21:42 +0100

hmmer (3.1b2-1) unstable; urgency=medium

  * New upstream version (adapted patches)
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jul 2015 22:45:41 +0200
