=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                autotools-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/hmmer/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/hmmer/trunk/
 Homepage: http://hmmer.janelia.org/
 
 Package: hmmer
-Architecture: any
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 hurd-i386
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: hmmer-doc (>= ${source:Version})
