=== debian/watch ===
version=3
ftp://selab.janelia.org/pub/software/hmmer3/CURRENT/hmmer-([0-9\.abc]*)\.tar\.gz
