## hmmer 3.1b2+dfsg

=== debian/changelog ===
hmmer (3.1b2+dfsg-5ubuntu1) zesty; urgency=medium

  * Sync on Debian unstable.  Remaining changes:
    - Enable altivec on powerpc/ppc64el
    - Enable arch:any builds

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 21 Jan 2017 14:02:45 +0530

hmmer (3.1b2+dfsg-5) unstable; urgency=medium

  * New homepage
  * Fix watch file
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2017 15:35:12 +0100

hmmer (3.1b2+dfsg-3ubuntu1) yakkety; urgency=medium

  * Enable altivec on powerpc/ppc64el
  * Enable arch:any builds

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 12 Sep 2016 16:16:17 +0100

hmmer (3.1b2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Make build reproducible.
    - Ensure deletion of temporary files named by PID in
      all example directories.
    - Remove build directory from CFLAGS in installed Makefiles.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 27 Aug 2016 09:47:45 +0000

hmmer (3.1b2+dfsg-2) unstable; urgency=medium

  * Reproducible build (thanks for the patch to Chris Lamb)
    Closes: #830286

 -- Andreas Tille <tille@debian.org>  Thu, 07 Jul 2016 23:16:42 +0200

hmmer (3.1b2+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Afif Elghraoui ]
  * Set VCS URLs to point to git repository
  * Bump Standards-Version to 3.9.8

  [ Canberk Koç ]
  * Autopkgtests added
  * debian/rules:
    - examples added
  * License issue solved

  [ Andreas Tille ]
  * Clean up Uploaders from inactive maintainers
  * Better hardening
  * Remove useless .dropbox.attr files from package
  * Create a separate examples package
  * Seems old perl4 scripts are used in examples - add according dependencies
  * Fix permissions
  * Drop libdivsufsort in favour of using the Debian packaged version

 -- Canberk Koç <canberkkoc@gmail.com>  Sun, 3 Jul 2016 01:04:33 +0300
