=== debian/control ===
Source: hmmer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               libdivsufsort-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/hmmer.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/hmmer.git
Homepage: http://hmmer.org/

Package: hmmer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: hmmer-doc (>= ${source:Version})
Description: profile hidden Markov models for protein sequence analysis
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.

Package: hmmer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: hmmer (>= ${source:Version}),
            evince | pdf-viewer
Description: profile hidden Markov models for protein sequence analysis (docs)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains the documentation and a tutorial for the hmmer package.

Package: hmmer-examples
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libperl4-corelibs-perl | perl (<< 5.12.3-7)
Description: profile hidden Markov models for protein sequence analysis (examples)
 HMMER is an implementation of profile hidden Markov model methods for
 sensitive searches of biological sequence databases using multiple sequence
 alignments as queries.
 .
 Given a multiple sequence alignment as input, HMMER builds a statistical
 model called a "hidden Markov model" which can then be used as a query into
 a sequence database to find (and/or align) additional homologues of the
 sequence family.
 .
 This package contains example files to test the hmmer package.
