=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,28 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+DEBPKGNAME := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+sampledir:=$(CURDIR)/debian/$(DEBPKGNAME)-examples/usr/share/doc/$(DEBPKGNAME)/examples
+
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)
 
 ifeq (amd64,$(ARCH))
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-sse
- else
+else ifeq (powerpc,$(ARCH))
+    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-altivec
+else ifeq (ppc64el,$(ARCH))
+    DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads --enable-altivec
+else
     DEB_CONFIGURE_EXTRA_FLAGS := --enable-threads
 endif
+
+override_dh_autoreconf:
+	AUTOHEADER=true dh_autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
@@ -28,3 +40,22 @@
 
 override_dh_compress:
 	dh_compress -Xtutorial/
+
+override_dh_installexamples:
+	dh_installexamples
+	mkdir -p $(sampledir)/src/impl;
+	find src/ -maxdepth 1 -name "*_utest" -exec cp \{\} $(sampledir)/src/ \;
+	find src/impl_sse -name "*_utest" -exec cp \{\} $(sampledir)/src/impl \;
+	cp src/itest_brute $(sampledir)/src;
+	cp src/hmmpress.itest.pl $(sampledir)/src;
+	cp -aR testsuite $(sampledir)/;
+	cp -aR easel $(sampledir)/;
+	cp -aR tutorial $(sampledir)/;
+	find $(sampledir) -name 'Makefile' | xargs sed -i "s^$(CURDIR)^.^g"
+	find $(sampledir) -name "esltmp*" -delete;
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian -name .dropbox.attr -delete
+	find debian -name "*.fa" -executable -exec chmod -x \{\} \;
+
