## hmmer 3.2.1+dfsg

=== debian/changelog ===
hmmer (3.2.1+dfsg-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * HMMER3 has long required SSE or Altivec/VMX instruction support and the
    3.2.1 release enforces this, so we will follow upstreams lead:
    debian/control: Architecture: any-amd64 any-i386 powerpc ppc64 x32
  * debhelper-compat 12
  * Enable a verbose build log
  * Fixed the buildsystem to show commands executed and to build in parallel
  * Using the above, fixed the buildsystem to enable hardening
  * Fixed some spelling errors; thanks lintian!
  * Made autopkgtests more verbose
    Closes: #941805

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * DEP3 for skip check for threads

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 08 Oct 2019 10:53:29 +0200

hmmer (3.2.1+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Hervé Ménager ]
  * correct HMMER ref

  [ Andrius Merkys ]
  * Detecting failed autopkgtest.

  [ Dylan Aïssi ]
  * Re-enable builds for any architectures because upstream has fixed the build
     system to check requirements before to try to build. Unsupported architectures
     will fail gracefully with an explicite message.

  [ Steffen Moeller ]
  * Cleaning autogenerated Makefiles
  * Added ref to conda
  * Standards-Version: 4.4.0
  * Introducing Link-Time-Optimization

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 13 Mar 2019 11:06:20 -0400

hmmer (3.2.1+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Adapt doc-base control file to new location of doc
  * d/rules:
     - Respect DEB_BUILD_OPTIONS in override_dh_auto_test
     - Do not parse d/changelog
     - Fix permission of manpage

  [ Dylan Aïssi ]
  * Fix OMICtools ID and replace RRID by SciCrunch

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 08:48:36 +0200
