=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: hmmer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
                libdivsufsort-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/hmmer.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/hmmer.git
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/med-team/hmmer
+Vcs-Git: https://salsa.debian.org/med-team/hmmer.git
 Homepage: http://hmmer.org/
 
 Package: hmmer
-Architecture: any
+Architecture: any-amd64 any-i386 powerpc ppc64 x32
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: hmmer-doc (>= ${source:Version})
@@ -49,7 +47,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends},
-         libperl4-corelibs-perl | perl (<< 5.12.3-7)
+         libperl4-corelibs-perl
 Description: profile hidden Markov models for protein sequence analysis (examples)
  HMMER is an implementation of profile hidden Markov model methods for
  sensitive searches of biological sequence databases using multiple sequence
