## hmmer 3.3%2Bdfsg2

=== debian/changelog ===
hmmer (3.3+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Restore config.guess and config.sub so that dh_update_autotools_config can
    update them. This fixes the FTBFS.
  * Added python3 build-dep so that the checks run (and the build doesn't
    fail)
  * debian/patches/spelling: fix a typo
  * debian/patches/hardenng: finished CPPFLAGS propogation

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Dec 2019 11:26:08 +0100

hmmer (3.3+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 Nov 2019 19:14:46 +0100
