=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               libdivsufsort-dev
+               libdivsufsort-dev,
+               python3
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/hmmer
 Vcs-Git: https://salsa.debian.org/med-team/hmmer.git
