## hmmer 3.3+dfsg2

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   http://hmmer.org/download.html .*/hmmer/hmmer-(\d[^-]+)\.tar\.gz
